Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend.impl
Class EventSourceTransactionContext

    java.lang.Object
      org.hibernate.search.backend.impl.EventSourceTransactionContext

All Implemented Interfaces:
  java.io.Serializable, TransactionContext

    public class EventSourceTransactionContext

extends java.lang.Object
implements TransactionContext, java.io.Serializable

Implementation of the transactional context on top of an EventSource (Session)

Author:
  Navin Surtani - navin@surtani.org, Emmanuel Bernard, Sanne Grinovero
See Also:
  Serialized Form

Constructor Summary
`EventSourceTransactionContext(org.hibernate.event.EventSource eventSource)`

Method Summary
`java.lang.Object` | `getTransactionIdentifier()`
`boolean` | `isTransactionInProgress()`
`void` | `registerSynchronization(javax.transaction.Synchronization synchronization)` Register the given synchronization.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventSourceTransactionContext

    public EventSourceTransactionContext(org.hibernate.event.EventSource eventSource)

Method Detail

### getTransactionIdentifier

    public java.lang.Object getTransactionIdentifier()

  Specified by:
    `getTransactionIdentifier` in interface `TransactionContext`
  Returns:
    a transaction object.

### registerSynchronization

    public void registerSynchronization(javax.transaction.Synchronization synchronization)

  Description copied from interface: `TransactionContext`
  Register the given synchronization.

  Specified by:
    `registerSynchronization` in interface `TransactionContext`
  Parameters:
    `synchronization` - synchronization to register

### isTransactionInProgress

    public boolean isTransactionInProgress()

  Specified by:
    `isTransactionInProgress` in interface `TransactionContext`
  Returns:
    A boolean indicating whether a transaction is in progress or not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.